Package org.apache.ignite.plugin.extensions.communication

## Interface MessageFactoryProvider

All Superinterfaces:
  `Extension`

All Known Implementing Classes:
  `GridIoMessageFactory`

    public interface MessageFactoryProvider
    extends Extension

Provider of communication message factories.

Implementation of this interface is responsible for registration of all message factories in `registerAll(org.apache.ignite.plugin.extensions.communication.MessageFactory)` method.

`registerAll(org.apache.ignite.plugin.extensions.communication.MessageFactory)` method's call is responsibility of `MessageFactory` implementation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `registerAll​(MessageFactory factory)` Registers all messages factories.

### Method Detail

#### registerAll

    void registerAll​(MessageFactory factory)

Registers all messages factories. See `MessageFactory.register(short, java.util.function.Supplier<org.apache.ignite.plugin.extensions.communication.Message>)`.

Parameters:
  `factory` - `MessageFactory` implementation.